SDL_size_mul_overflow(3)

NAME
SDL_size_mul_overflow - If a * b would overflow, return -1.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FORCE_INLINE int SDL_size_mul_overflow (size_t a, size_t b, size_t *ret);

DESCRIPTION
Otherwise store a * b via ret and return 0.

AVAILABILITY
This function is available since SDL 3.0.0.